Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.binding
Interface BindingManager

All Known Implementing Classes:
  JXPathBindingManager

public interface BindingManager

BindingManager declares the factory method that produces actual Bindings.

Version:
  $Id: BindingManager.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary
`static String` | `NAMESPACE` Constant matching the namespace used for the Binding config files.
`static String` | `ROLE` Avalon Role for this service interface.

Method Summary
`Binding` | `createBinding(Element bindingElement)` Creates a binding from the XML config that is supplied as a DOM tree.
`Binding` | `createBinding(Source bindingFile)` Creates a binding from the XML config found at source parameter.
`Binding` | `createBinding(String bindingURI)` Creates a binding from the XML config found at bindingURI parameter.

Field Detail

### ROLE

    public static final String ROLE

  Avalon Role for this service interface.

### NAMESPACE

    public static final String NAMESPACE

  Constant matching the namespace used for the Binding config files.

  See Also:
    Constant Field Values

Method Detail

### createBinding

    public Binding createBinding(Source bindingFile)
                          throws BindingException

  Creates a binding from the XML config found at source parameter. The binding will be cached.

  Throws:
    `BindingException`

### createBinding

    public Binding createBinding(String bindingURI)
                          throws BindingException

  Creates a binding from the XML config found at bindingURI parameter. The binding will be cached.

  Throws:
    `BindingException`

### createBinding

    public Binding createBinding(Element bindingElement)
                          throws BindingException

  Creates a binding from the XML config that is supplied as a DOM tree.

  The specified element must be a fb:context element.

  The binding will not be cached.

  Throws:
    `BindingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.